#ifndef __CommandLine_interface__
#define __CommandLine_interface__

#include <iostream>
#include <string>

#include "commands/Command.H"

class CommandLine
{
private:
  bool _exit;
  int  _bufferpos;
  char _buffer[512];
  
  int argc;
  char *argv[64];
public:
  CommandLine();
  ~CommandLine() {}
  void Execute(int argc, char *argv[]);
  void Message(char input);
  void Parse();
  void Status(bool status) {_exit = status;}
  bool Exit() {return _exit;}
};
#endif /* __CommandLine_interface__ */
