#ifndef __Errno_h__
#define __Errno_h__

// Error-Codes
#define EXT2E_NOERROR                        0
#define EXT2E_BLKDEV_INIT_FAILED            -1
#define EXT2E_BLKDEV_READ_FAILED            -2
#define EXT2E_BLKDEV_WRITE_FAILED           -3
#define EXT2E_SUPERBLK_INIT_FAILED          -4
#define EXT2E_SUPERBLK_BADMAGICNUMBER       -5
#define EXT2E_BYTELOGBLKDEV_INIT_FAILED     -6
#define EXT2E_BLKGRP_INIT_FAILED            -7
#define EXT2E_BLKGRP_NOFREEBLOCK_AVAILABLE  -8
#define EXT2E_BLKGRP_RESETBLOCK_FAILED      -9
#define EXT2E_INODELIST_INSERT_FAILED       -10
#define EXT2E_INODE_OPEN_FAILED             -11
#define EXT2E_INODE_EOF                     -12
#define EXT2E_DIR_BUFFER_TOO_SMALL          -13
#define EXT2E_DIR_NOMEM                     -14
#define EXT2E_DIR_NOSUCHFILE                -15
#define EXT2E_DIR_EOF                       -16
#define EXT2E_NOMEM                         -17
#define EXT2E_BAD_BLOCKSIZE                 -18
#define EXT2E_READONLY                      -19
#define EXT2E_DIR_FILEEXISTS                -20
#define EXT2E_BLKGRP_NOFREEINODE_AVAILABLE  -21
#define EXT2E_DIR_NOTEMPTY                  -22
#define EXT2E_DIR_OWN_SUBSTRUCTURE          -23
#define EXT2E_UNKNOWN_ERROR                 -24

#define EXT2E_FS_NULL_DEVICE                -30
#define EXT2E_FS_INIT_FAILED                -31
#define EXT2E_FS_ROOT_FAILED                -32

#endif /* __Errno_h__ */
