#ifndef __Semaphore_h__
#define __Semaphore_h__

#include "semaphore.h"

// Classic semaphore abstraction, implemented with POSIX threads package.
class Semaphore
{
  sem_t sem;
public:
  Semaphore (unsigned int count);
  ~Semaphore ();
  bool wait ();
  bool signal ();
  bool p () { return wait (); }
  bool v () { return signal (); }
};

#endif /* __Semaphore_h__ */
