#include "fs/device/block/BlockDeviceAsyncHdl.H"
#include <iostream>

void BlockDeviceAsyncHdl::action()
{
  switch (opcode)
  {
    case READ:
      error_code = dev->read(block, addr, count);
      break;
    case WRITE:
       error_code = dev->write(block, addr, count);
       break;
    default:
       error_code = BlockDeviceError("Invalid operation code");
       break;
  }
}
