#include "system/Semaphore.H"
#include <semaphore.h>

Semaphore::Semaphore (unsigned int count)
{
  sem_init(&sem, 0, count);
}

bool Semaphore::wait ()
{
  sem_wait(&sem);
  return true;
}

bool Semaphore::signal ()
{
  return (sem_post(&sem) == 0);
}

Semaphore::~Semaphore ()
{
  sem_destroy(&sem);
}

