#ifndef __Unix_Device_Error_h__
#define __Unix_Device_Error_h__

// This class is used to store unix file operation error codes and allows
// to convert them into printable text.
class UnixDeviceError
{
  int error_code;           // the unix error code
public:
  UnixDeviceError (int e = 0) : error_code (e) {}
  operator const char * (); // return the string representation of the code
};

#endif /* __Unix_Device_Error_h__ */
