#ifndef __Mutex__h__
#define __Mutex__h__

#include <pthread.h>

// This class implements a mutual exclusion synchronization variable with
// the POSIX threads library.
class Mutex
{
  pthread_mutex_t mutex; 
public:
  Mutex ();
  bool lock ();
  bool unlock ();
  ~Mutex ();
};

#endif /* __Mutex__h__ */
