#include "fs/device/UnixDeviceUser.H"

#include "/usr/include/errno.h"
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>


bool UnixDeviceUser::open (mode m)
 {
   fd = ::open (name (), m | O_CREAT, 0644);
   return (fd != -1);
 }


bool UnixDeviceUser::close ()
 {
   return (::close (fd) != -1);
 }


int UnixDeviceUser::handle ()
 {
   return fd;
 }


UnixDeviceError UnixDeviceUser::error ()
 {
   return UnixDeviceError (errno);
 }
