#include "fs/device/UnixDeviceWorkerError.H"

UnixDeviceWorkerError::operator const char * ()
{
  switch (error_code)
  {
    case NO_ERROR:
      return (const char*)(*(UnixDeviceError*)this);
    case END_OF_FILE:
      return "operation reached end of file";
  }
  return "unknown error code";
}
