#include "system/Mutex.H"

Mutex::Mutex ()
{
  pthread_mutex_init (&mutex, NULL);
}

bool Mutex::lock ()
{
  return (pthread_mutex_lock (&mutex) == 0);
}

bool Mutex::unlock ()
{
  return (pthread_mutex_unlock (&mutex) == 0);
}

Mutex::~Mutex ()
{
  pthread_mutex_destroy (&mutex); 
}

